$ 
$     パス2のターゲット依存テンプレート（raspberrypi_pico用）
$ 

$ 
$  有効な割込み番号，割込みハンドラ番号
$ 
$INTNO_VALID = {
	0x0000f,0x00010,...,0x0002f
}$

$INHNO_VALID = {
	0x1000f,0x10010,...,0x1002f;
	0x2000f,0x20010,...,0x2002f
}$

$ 
$  有効なCPU例外番号
$ 
$EXCNO_VALID = {
	0x10002,0x10003,...,0x10006;0x1000b,0x1000c,0x1000e;
	0x20002,0x20003,...,0x20006;0x2000b,0x2000c,0x2000e
}$

$ 
$  ATT_ISRで使用できる割込み番号とそれに対応する割込みハンドラ番号
$ 
$INTNO_ATTISR_VALID = INTNO_VALID$
$INHNO_ATTISR_VALID = INTNO_VALID$

$ 
$  DEF_INT／DEF_EXCで使用できる割込みハンドラ番号／CPU例外ハンドラ番号
$ 
$INHNO_DEFINH_VALID = INHNO_VALID$
$EXCNO_DEFEXC_VALID = EXCNO_VALID$


$
$  Number of Classes
$
$NUM_CLASS = 5$

$
$ CLASS 1 definitions
$

$  Initial processor ID
$CLASS_AFFINITY_INI[1] = 1$

$  Mask of processors to which migration is possible
$CLASS_AFFINITY_MASK[1] = 0x00000003$

$  Object lock
$ If P_LOCK definition of the processor that has the object lock
$CLASS_OBJ_LOCK[1] = 1$

$
$ CLASS 2 definitions
$
$CLASS_AFFINITY_INI[2] = 2$
$CLASS_AFFINITY_MASK[2] = 0x00000003$
$CLASS_OBJ_LOCK[2] = 2$

$
$ CLASS TCL_1_ONLY (CLASS ID 3) definitions
$
$CLASS_AFFINITY_INI[3] = 1$
$CLASS_AFFINITY_MASK[3] = 0x00000001$
$CLASS_OBJ_LOCK[3] = 1$

$
$ CLASS TCL_2_ONLY (CLASS ID 4) definitions
$
$CLASS_AFFINITY_INI[4] = 2$
$CLASS_AFFINITY_MASK[4] = 0x00000002$
$CLASS_OBJ_LOCK[4] = 2$

$
$ CLASS TCL_SYSTIM_PRC (CLASS ID 5) definitions
$
$CLASS_AFFINITY_INI[5] = TOPPERS_SYSTIM_PRCID$
$CLASS_AFFINITY_MASK[5] = 0x1 << (TOPPERS_SYSTIM_PRCID - 1) $
$CLASS_OBJ_LOCK[5] = TOPPERS_SYSTIM_PRCID$

$ 
$  コア依存テンプレートのインクルード
$ 
$INCLUDE"arm_m_gcc/common/core.tf"$
